import access from "@/access";

export default [
  { path: '/login', component: './Login', layout: false, access: 'login' },
  {
    path: '/',
    redirect: '/home',
  },
  {
    path: '/login',
    component: './Login',
    layout: false
  },
  {
    name: '数据总览',
    path: '/home',
    component: './Home',
    access: 'home',
  },
  {
    name: '企业管理',
    access: 'company',
    path: '/company',
    routes: [
      {
        name: '所有企业',
        path: '/company/list',
        component: './Company/List',
        access: 'member',
      },
      {
        name: 'VIP列表',
        path: '/company/vip',
        component: './Company/Vip',
        access: 'vip',
      },
      {
        name: '部门管理',
        path: '/company/department',
        component: './Company/Department',
        access: 'department',
      },
      {
        name: '职位管理',
        path: '/company/post',
        component: './Company/Post',
        access: 'job',
      }
    ]
  },
  {
    name: '求职者管理',
    access: 'jobSeeker',
    path: '/jobseeker',
    routes: [
      {
        name: '简历列表',
        path: '/jobseeker/list',
        component: './Jobseeker/List',
        access: 'jobResume',
      },
      {
        name: '求职者账号列表',
        path: '/jobseeker/account',
        component: './Jobseeker/Account',
        access: 'customerList',
      }
    ]
  },
  {
    name: '招聘会管理',
    access: 'jobFair',
    path: '/fair',
    routes: [
      {
        name: '招聘会列表',
        path: '/fair/list',
        component: './Fair/List',
        access: 'jobFairList',
      },
      // {
      //   name: '参与企业列表',
      //   path: '/fair/company',
      //   component: './Fair/Company',
      //   access: 'jobFairCompany',
      // }
    ]
  },
  {
    name: '新闻资讯',
    access: 'information',
    path: '/information',
    routes: [
      {
        name: '栏目/频道',
        path: '/information/section',
        component: './Information/Section',
        access: 'section',

      },
      {
        name: '文章列表',
        path: '/information/article',
        component: './Information/Article',
        access: 'article',

      }
    ]
  },
  {
    name: '广告/活动管理',
    access: 'advertisement',
    path: '/advertisement',
    routes: [
      {
        name: '广告/活动列表',
        path: '/advertisement/list',
        component: './Advertisement/List',
        access: 'advertisementList',

      },
      {
        name: '广告/活动投放',
        path: '/advertisement/putin',
        component: './Advertisement/Putin',
        access: 'putIn',

      }
    ]
  },
  {
    name: '春节引流活动管理',
    access: 'activity',
    path: '/activity',
    routes: [
      {
        name: '活动门店',
        path: '/activity/list',
        component: './Activity/List',
        access: 'activityAddress',

      }
    ]
  },

  {
    name: '账号权限',
    path: '/permission',
    access: 'permission',
    routes: [
      {
        name: '权限管理',
        path: '/permission/list',
        component: './Permission/List',
        access: 'list',
      },
      {
        name: '角色管理',
        path: '/permission/role',
        component: './Permission/Role',
        access: 'role',

      },
      {
        name: '账号管理',
        path: '/permission/account',
        component: './Permission/Account',
        access: 'account',
      }
    ]
  },
  {
    name: '系统管理',
    path: '/setting',
    access: 'setting',
    routes: [
      {
        name: '系统设置',
        path: '/setting/system',
        component: './Setting/System',
        access: 'other',

      },
      {
        name: '字典设置',
        path: '/setting/dictionary',
        component: './Setting/Dictionary',
        access: 'dictionaryList',

      },
      {
        name: '分词器',
        path: '/setting/other',
        component: './Setting/Other',
        access: 'otherTokenizer',

      }
    ]
  },
  {
    name: '反馈管理',
    path: '/feedback/list',
    component: './Feedback',
    access: 'feedback',
  },
  {
    name: '公共户口管理',
    path: '/publichouse/list',
    component: './Publichouse',
    access: 'publichouse',
  },
  // {
  //   name: '统计管理',
  //   path: '/setting',
  //   routes: [
  //     {
  //       name: '系统设置',
  //       path: '/setting/system',
  //       component: './Setting/System',
  //     },
  //     {
  //       name: '字典设置',
  //       path: '/setting/dictionary',
  //       component: './Setting/Dictionary'
  //     },
  //     {
  //       name: '分词器',
  //       path: '/setting/other',
  //       component: './Setting/Other',
  //     }
  //   ]
  // }
]
