
declare namespace CompanyType {
    type Basic = {
        id ?: string,
        full_name ?: String,
		registration_number ?: String,
		establishment_date ?: String,
		contact ?: String,
		phone ?: String,
		mobile ?: String,
		email ?: String,
		fax ?: String,
		website ?: String,
		province ?: Number,
		city ?: Number,
		district ?: Number,
		street ?: Number,
		address ?: String,
		industry ?: Number,
		nature ?: Number,
		scale ?: Number,
		introduction ?: String,
		photo ?: String,
		photo_status ?: Number,
		license_path ?: String,
		license_status : '',
		login_name ?: String,
		login_pwd ?: String,
		company_photos ?: Object[],
		longitude?: Number,
		latitude?: Number,
        status?: Number,

        // 其他参数
        location_arr ?: number[]
        industry_arr ?: number[]
        nature_arr ?: number[]
        scale_arr ?: number[]
    }

    type Vip = {
        id ?: Number,
		probation ?: Number,
		famous ?: Number,
		member_type ?: Number,
		member_status ?: Number,
		start_date ?: Date | String,
		end_date ?: Date | String,
		sale ?: String,

         // 其他参数
         dateRange ?: number[]
    }

    type fee = {
        id ?: Number,
		fee ?: Number,
		change_type ?: Number,
		remark ?: String,
    }
    type Department = {
        id ?: Number,
		name?: String,
		company_id?: Number,
		contact?: String,
		phone?: String,
		mobile?: String,
		email?: String,
    }

    type Job = {
        id ?: number,
                urgent?: number,
        department_id?: number,
        name?: string,
        invite_count?: string,
        job_type: [],
        job_location: [],
        describe_text?: string,
        gangweizhize?: string, // 额外的参数，提交时要删除
        renzhiyaoqiu?: string, // 额外的参数，提交时要删除
        pay_range?: number,
        useful_life?: number,
        disabled_date?: string,
        key_word?: string,
        job_nature: 1, // 额外的参数，提交时要删除
        fulltime?: number,
        parttime?: number,
        casual?: number,
        practical?: number,
        campus?: number,
        shisu?: number,
        holidays?: number,

        //  应聘要求
        urgent?: number,
        experience?: number,
        school_degree?: number,
        degree_better?: number,
        profelevel?: number,
        certification?: number,
        language?: number,
        language_degree?: number,
        sex?: number,
        age_arr: [],
        age_min?: number,
        age_max?: number,
        marital_status?: number,
        major?: string,
        license: [],
        household_arr: [],
        household_province?: number,
        household_city?: number,
        location_arr: [],
        location_province?: number,
        location_city?: number,
        location_town?: number,

        // 联系方式
        contact?: string,
        possession?: string,
        phone?: string,
        phone_public?: number,
        mobile?: string,
        mobile_public?: number,
        email?: string,
        email_public?: number,
        fax?: string,
        fax_public?: number,
        other_address?: string,
        interview_address?: string,

        status?: number,
    }
}